Get one abstract listing configuration

get

/fscmRestApi/resources/11.13.18.05/procurementBusinessFunctions/{ProcurementBUId}/child/abstractListingConfigurations/{ProcurementBUId2}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : procurementBusinessFunctions-abstractListingConfigurations-item-response
Type: object
Show Source
  • Read Only: true
    Maximum Length: 2000
    URL used for the abstract listing configuration.
  • Maximum Length: 50
    Name of the company in the abstract listing configuration.
  • Title: Created By
    Read Only: true
    Maximum Length: 64
    User who created the record.
  • Title: Creation Date
    Read Only: true
    The date when the buyer or application created the abstract listing configuration for the procurement business unit.
  • Maximum Length: 255
    Date format used for the abstract listing configuration.
  • Maximum Length: 30
    Code that specifies the date format to use.
  • Title: Display Logo
    Maximum Length: 1
    Indicates whether the logo is displayed. Contains one of the following values: true or false. If true, then the logo is displayed. If false, then the logo isn't displayed. This attribute doesn't have a default value.
  • Title: Footer Content
    Content used in the footer of the abstract listing configuration.
  • Title: Header Content
    Content used in the header of the abstract listing configuration.
  • Title: Language
    Maximum Length: 255
    Language of the abstract listing configuration.
  • Title: Language
    Maximum Length: 4
    Code that identifies the language for the abstract listing configuration.
  • Title: Last Updated Date
    Read Only: true
    The date when the abstract listing configuration was last updated.
  • Title: Last Updated By
    Read Only: true
    Maximum Length: 64
    User who last updated the abstract listing configuration.
  • Links
  • Height of the logo in the abstract listing configuration if the display logo option is true.
  • Title: Logo URL
    Maximum Length: 240
    Location of the logo if the display logo option is true.
  • Width of the logo if the display logo option is true.
  • Maximum Length: 255
    Format used for numbering in the abstract listing configuration.
  • Maximum Length: 30
    Code that identifies the number format used for the abstract listing configuration.
  • Title: Only show negotiations from this BU
    Maximum Length: 1
    Indicates whether only negotiations from this business unit are shown in the abstract listing configuration. Contains one of the following values: true or false. If true, then only negotiations from this business unit are shown. If false, then negotiations from all applicable business units are shown. This attribute doesn't have a default value.
  • Title: Procurement BU
    Unique identifier of the business unit for which the configuration is being set up.
  • Maximum Length: 255
    Time format used for the abstract listing configuration.
  • Maximum Length: 30
    Code that specifies the time format in the abstract listing configuration.
  • Maximum Length: 255
    Time zone for the abstract listing configuration.
  • Maximum Length: 50
    Code that identifies the time zone in the abstract listing configuration.
Back to Top